/// <reference types="react" />
import { StylingPropsTypes } from "./SwitchSelector.styled";
declare type OptionType = {
    label: string;
    value: any;
    selectedBackgroundColor?: string;
    fontColor?: string;
    selectedFontColor?: string;
};
interface PropsTypes extends Partial<StylingPropsTypes> {
    onChange: Function;
    options: Array<OptionType>;
    initialSelectedIndex?: number;
}
declare const SwitchSelector: (props: PropsTypes) => JSX.Element | null;
export default SwitchSelector;
